Package org.h2gis.functions.spatial.linear_referencing

## Class ST_LineSubstring

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.linear_referencing.ST_LineSubstring

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_LineSubstring
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher, CNRS (2023) Extract a section of the input line starting and ending at the given fractions.

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_LineSubstring()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometry, double start, double end)` Extract a section of the input LineString or MultiLineString starting and ending at the given fractions.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_LineSubstring

    public ST_LineSubstring()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometry,
                                                             double start,
                                                             double end)
                                                      throws SQLException

Extract a section of the input LineString or MultiLineString starting and ending at the given fractions.

Parameters:
  `geometry` - the input lines
  `start` - the start fraction between 0 and 1
  `end` - the end fraction between 0 and 1
Returns:
  single or multiparts lines
Throws:
  `SQLException`